org.thymeleaf.extras.springsecurity4.util

## Class SpringVersionUtils

- Object
- - org.thymeleaf.extras.springsecurity4.util.SpringVersionUtils

-     public final class SpringVersionUtils
      extends Object

  Since:
    2.1.2
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getSpringVersionMajor()`
    `static int` | `getSpringVersionMinor()`
    `static boolean` | `isSpring30AtLeast()`
    `static boolean` | `isSpring31AtLeast()`
    `static boolean` | `isSpring32AtLeast()`
    `static boolean` | `isSpring40AtLeast()`
    `static boolean` | `isSpring41AtLeast()`
    `static boolean` | `isSpring42AtLeast()`
    `static boolean` | `isSpring43AtLeast()`
    `static boolean` | `isSpring50AtLeast()`
    `static boolean` | `isSpringWebMvcPresent()`
    `static boolean` | `isSpringWebReactivePresent()`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSpringVersionMajor

          public static int getSpringVersionMajor()

    - #### getSpringVersionMinor

          public static int getSpringVersionMinor()

    - #### isSpring30AtLeast

          public static boolean isSpring30AtLeast()

    - #### isSpring31AtLeast

          public static boolean isSpring31AtLeast()

    - #### isSpring32AtLeast

          public static boolean isSpring32AtLeast()

    - #### isSpring40AtLeast

          public static boolean isSpring40AtLeast()

    - #### isSpring41AtLeast

          public static boolean isSpring41AtLeast()

    - #### isSpring42AtLeast

          public static boolean isSpring42AtLeast()

    - #### isSpring43AtLeast

          public static boolean isSpring43AtLeast()

    - #### isSpring50AtLeast

          public static boolean isSpring50AtLeast()

    - #### isSpringWebMvcPresent

          public static boolean isSpringWebMvcPresent()

    - #### isSpringWebReactivePresent

          public static boolean isSpringWebReactivePresent()

Copyright © 2017 The THYMELEAF team. All rights reserved.